Bug 1200701 - openstack-nova-novncproxy.service in failed state - need upgraded websockify version
Summary: openstack-nova-novncproxy.service in failed state - need upgraded websockify...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-nova
Version: Juno
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: Kilo
Assignee: Eoghan Glynn
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 08:59 UTC by Ronelle Landy
Modified: 2016-05-22 17:50 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-19 15:37:53 UTC


Attachments (Terms of Use)

Description Ronelle Landy 2015-03-11 08:59:30 UTC
Description of problem:

openstack-nova-novncproxy.service is loaded but fails to start (both on the controller and the undercloud):

[heat-admin@ov-f7lsrrqolxo-0-uauc7knmbklz-controller-yfgp7j7cpf2k ~]$ sudo systemctl | grep nova
openstack-nova-api.service                                                               loaded active running   OpenStack Nova API Server
openstack-nova-cert.service                                                              loaded active running   OpenStack Nova Cert Server
openstack-nova-conductor.service                                                         loaded active running   OpenStack Nova Conductor Server
openstack-nova-consoleauth.service                                                       loaded active running   OpenStack Nova VNC console auth Server
openstack-nova-novncproxy.service                                                        loaded failed failed    OpenStack Nova NoVNC Proxy Server
openstack-nova-scheduler.service                                                         loaded active running   OpenStack Nova Scheduler Server
openstack-nova-xvpvncproxy.service                                                       loaded active running   OpenStack Nova XVP VncProxy Server

Looking at the service status shows that there is an issue with websockify:

penstack-nova-novncproxy.service - OpenStack Nova NoVNC Proxy Server
   Loaded: loaded (/usr/lib/systemd/system/openstack-nova-novncproxy.service; enabled)
   CGroup: /system.slice/openstack-nova-novncproxy.service
Mar 10 11:39:38 localhost.localdomain nova-novncproxy[29922]: from nova.cmd.novncproxy import main
Mar 10 11:39:38 localhost.localdomain nova-novncproxy[29922]: File "/usr/lib/python2.7/site-packages/nova/cmd/novncproxy.py", line 25, in <module>
Mar 10 11:39:38 localhost.localdomain nova-novncproxy[29922]: from nova.cmd import baseproxy
Mar 10 11:39:38 localhost.localdomain nova-novncproxy[29922]: File "/usr/lib/python2.7/site-packages/nova/cmd/baseproxy.py", line 26, in <module>
Mar 10 11:39:38 localhost.localdomain nova-novncproxy[29922]: from nova.console import websocketproxy
Mar 10 11:39:38 localhost.localdomain nova-novncproxy[29922]: File "/usr/lib/python2.7/site-packages/nova/console/websocketproxy.py", line 116, in <module>
Mar 10 11:39:38 localhost.localdomain nova-novncproxy[29922]: websockify.ProxyRequestHandler):
Mar 10 11:39:38 localhost.localdomain nova-novncproxy[29922]: AttributeError: 'module' object has no attribute 'ProxyRequestHandler'
Mar 10 11:39:38 localhost.localdomain systemd[1]: openstack-nova-novncproxy.service: main process exited, code=exited, status=1/FAILURE
Mar 10 11:39:38 localhost.localdomain systemd[1]: Unit openstack-nova-novncproxy.service entered failed state.


Version-Release number of selected component (if applicable):

Current version of websockify: python-websockify-0.5.1-1.el7ost.noarch
Required version of websockify: >= 0.6.0 (per sross:
<sross> yep, 2015.1 requires python-websockify >= 0.6.0, so that's your issue with noVNC proxy
<sross> see commit fd98b577
<sross> (in Nova))

[heat-admin@ov-f7lsrrqolxo-0-uauc7knmbklz-controller-yfgp7j7cpf2k ~]$ rpm -qa | grep nova
python-nova-2015.1-dev368.g36bae5a.el7.centos.noarch
openstack-nova-scheduler-2015.1-dev368.g36bae5a.el7.centos.noarch
python-novaclient-2.21.0-999.el7.centos.noarch
openstack-nova-common-2015.1-dev368.g36bae5a.el7.centos.noarch
openstack-nova-cert-2015.1-dev368.g36bae5a.el7.centos.noarch
openstack-nova-conductor-2015.1-dev368.g36bae5a.el7.centos.noarch
openstack-nova-api-2015.1-dev368.g36bae5a.el7.centos.noarch
openstack-nova-console-2015.1-dev368.g36bae5a.el7.centos.noarch
openstack-nova-novncproxy-2015.1-dev368.g36bae5a.el7.centos.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install rdo-manager as per: https://repos.fedorapeople.org/repos/openstack-m/instack-undercloud/html/index.html
2. Once the overcloud is deployed, ssh heat-admin@<controller ip>
3. Check the status of the nova services

Actual results:
openstack-nova-novncproxy.service                                                        loaded failed failed    OpenStack Nova NoVNC Proxy Server

Expected results:
openstack-nova-novncproxy.service should start

Additional info:

Comment 1 Alan Pevec 2015-04-14 14:42:10 UTC
Updated websockify was pushed to F22 and EPEL7:
https://admin.fedoraproject.org/updates/python-websockify

TODO
1) upload python-websockify-0.6.0 to RDO Juno
2) add Requires: python-websockify >= 0.6.0 in openstack-nova.spec f22 branch

Comment 2 Alan Pevec 2015-04-29 13:48:24 UTC
While waiting for the proper rdopkg update, I've uploaded websockify 0.6.0 to RDO Juno directly:
https://repos.fedorapeople.org/repos/openstack/openstack-juno/epel-7/epel/python-websockify-0.6.0-1.el7.noarch.rpm
https://repos.fedorapeople.org/repos/openstack/openstack-juno/fedora-21/fedora/python-websockify-0.6.0-1.fc22.noarch.rpm

Nova spec still needs to add versioned dependency.

Comment 3 Christian Berendt 2015-05-06 10:47:11 UTC
Confirmed for the current Kilo testing repository (el7), same issue there with the current state. Current version of python-websockify: python-websockify-0.5.1-2.el7.noarch. The package should be updated to 0.6.0 for Kilo and Trunk, too, to resolve this issue.

May 06 09:22:36 controller nova-novncproxy[30315]: from nova.cmd.novncproxy import main
May 06 09:22:36 controller nova-novncproxy[30315]: File "/usr/lib/python2.7/site-packages/nova/cmd/novncproxy.py", line 25, in <module>
May 06 09:22:36 controller nova-novncproxy[30315]: from nova.cmd import baseproxy
May 06 09:22:36 controller nova-novncproxy[30315]: File "/usr/lib/python2.7/site-packages/nova/cmd/baseproxy.py", line 26, in <module>
May 06 09:22:36 controller nova-novncproxy[30315]: from nova.console import websocketproxy
May 06 09:22:36 controller nova-novncproxy[30315]: File "/usr/lib/python2.7/site-packages/nova/console/websocketproxy.py", line 154, in <module>
May 06 09:22:36 controller nova-novncproxy[30315]: websockify.ProxyRequestHandler):
May 06 09:22:36 controller nova-novncproxy[30315]: AttributeError: 'module' object has no attribute 'ProxyRequestHandler'
May 06 09:22:36 controller systemd[1]: openstack-nova-novncproxy.service: main process exited, code=exited, status=1/FAILURE
May 06 09:22:36 controller systemd[1]: Unit openstack-nova-novncproxy.service entered failed state.

Comment 4 Alan Pevec 2015-05-06 16:49:15 UTC
python-websockify-0.6.0-2.el7 novnc-0.5.1-2.el7 uploaded to openstack-kilo/testing

Comment 5 Chandan Kumar 2016-05-19 15:37:53 UTC
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.


Note You need to log in before you can comment on or make changes to this bug.